io.agora.rtc

## Class DefaultVideoFrameObserver

- java.lang.Object
- - io.agora.rtc.DefaultVideoFrameObserver

- All Implemented Interfaces:
    IVideoFrameObserver

      public class DefaultVideoFrameObserver
      extends java.lang.Object
      implements IVideoFrameObserver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultVideoFrameObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onMediaPlayerVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame, int media_player_id)`
    `int` | `onPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onPreEncodeVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onRenderVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, java.lang.String channel_id, int uid, VideoFrame frame)`
    `int` | `onScreenCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryCameraCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryPreEncodeCameraVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onSecondaryScreenSaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`
    `int` | `onTranscodedVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer, VideoFrame frame)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultVideoFrameObserver

          public DefaultVideoFrameObserver()

  - ### Method Detail

    - #### onCaptureVideoFrame

          public int onCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                         VideoFrame frame)

      Specified by:
        `onCaptureVideoFrame` in interface `IVideoFrameObserver`

    - #### onPreEncodeVideoFrame

          public int onPreEncodeVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                           VideoFrame frame)

      Specified by:
        `onPreEncodeVideoFrame` in interface `IVideoFrameObserver`

    - #### onSecondaryCameraCaptureVideoFrame

          public int onSecondaryCameraCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                        VideoFrame frame)

      Specified by:
        `onSecondaryCameraCaptureVideoFrame` in interface `IVideoFrameObserver`

    - #### onSecondaryPreEncodeCameraVideoFrame

          public int onSecondaryPreEncodeCameraVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                          VideoFrame frame)

      Specified by:
        `onSecondaryPreEncodeCameraVideoFrame` in interface `IVideoFrameObserver`

    - #### onScreenCaptureVideoFrame

          public int onScreenCaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                               VideoFrame frame)

      Specified by:
        `onScreenCaptureVideoFrame` in interface `IVideoFrameObserver`

    - #### onPreEncodeScreenVideoFrame

          public int onPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                 VideoFrame frame)

      Specified by:
        `onPreEncodeScreenVideoFrame` in interface `IVideoFrameObserver`

    - #### onMediaPlayerVideoFrame

          public int onMediaPlayerVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                             VideoFrame frame,
                                             int media_player_id)

      Specified by:
        `onMediaPlayerVideoFrame` in interface `IVideoFrameObserver`

    - #### onSecondaryScreenSaptureVideoFrame

          public int onSecondaryScreenSaptureVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                        VideoFrame frame)

      Specified by:
        `onSecondaryScreenSaptureVideoFrame` in interface `IVideoFrameObserver`

    - #### onSecondaryPreEncodeScreenVideoFrame

          public int onSecondaryPreEncodeScreenVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                                          VideoFrame frame)

      Specified by:
        `onSecondaryPreEncodeScreenVideoFrame` in interface `IVideoFrameObserver`

    - #### onRenderVideoFrame

          public int onRenderVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                        java.lang.String channel_id,
                                        int uid,
                                        VideoFrame frame)

      Specified by:
        `onRenderVideoFrame` in interface `IVideoFrameObserver`

    - #### onTranscodedVideoFrame

          public int onTranscodedVideoFrame(AgoraVideoFrameObserver agora_video_frame_observer,
                                            VideoFrame frame)

      Specified by:
        `onTranscodedVideoFrame` in interface `IVideoFrameObserver`